# Get API Usage

Use this endpoint to retrieve your current quota usage with your API key, including `remaining` (remaining requests) and `limit` (total quota).

cURLJavaScriptPythonGo

Copy

curl --location 'https://api.twittershots.com/api/v1/usage' \

--header 'Accept: application/json' \

--header 'X-API-KEY: YOUR_X_API_KEY'

## Endpoint

- **Method**: GET
- **URL**: https://api.twittershots.com/api/v1/usage
- **Headers**:  
  - `X-API-KEY`: Your API key (required)
  - `Accept: application/json`

## Response

```json
{
  "remaining": 1234,
  "limit": 2000
}

```

## Errors

- **401 Unauthorized**: Missing key in header or invalid API key.
- **403 Forbidden**: No record found for the provided API key.

## Response codes

TwitterShots uses standard HTTP codes to indicate the success or failure of your requests.

In general, 2xx HTTP codes correspond to success, 4xx codes are for user-related failures, and 5xx codes are for infrastructure issues.

Reach out to [support@twittershots.com](mailto:support@twittershots.com) for further assistance.

### Status

| Status | Description                                   |
| ------ | --------------------------------------------- |
| 200    | Successful request.                           |
| 400    | Check that the parameters were correct.       |
| 401    | The API key used was missing.                 |
| 403    | The API key used was invalid.                 |
| 404    | The resource was not found.                   |
| 429    | The rate limit was exceeded.                  |
| 5xx    | Indicates an error with TwitterShots servers. |